/*
  File name: CInfoText.cpp
  Copyright: (C) 2005 - 2007 Tomasz Kazmierczak

  Creation date: 04.09.2005
  Last modification date: 28.08.2007

  This file is part of Cytadela

 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *

  information text object
*/

#include "CInfoText.h"

void CInfoText::init(char *szTextsPointer[MAX_TEXTS_IN_CLASS], int32_t iTextsQuantity)
{
	for(int32_t i = 0; i < iTextsQuantity; ++i)
		mTexts[i] = szTextsPointer[i];
	mTextsQuantity = iTextsQuantity;
	mActualText = 0;
}

const char *CInfoText::getText()
{
	++mActualText;
	if(mActualText > mTextsQuantity)
		mActualText = 1;
	return mTexts[mActualText - 1];
}
